[workspace]
resolver = "2"
members = [
    "audio_engine",
    "gui", "mapper",
    "osc",
    "simulator",
    "xtask",
]
exclude = [
    "firmware",
]

[workspace.dependencies]
bytes = "1.0"
clap = { version = "4", features = ["derive", "env", "string"] }
futures = "0.3"
jack = "0.13"
kanal = "0.1"
log = "0.4"
osc = { path = "osc" }
rosc = "0.10"
thiserror = "1"
tokio = { version = "1", features = ["full"] }
tokio-util = { version = "0.7", features = ["codec"] }
wmidi = "4"

[workspace.metadata.cargo-lock]
version = 3
